Переполнение буфера в ActiveX компонентах в InterActual Player

Дата публикации:
16.07.2007
Дата изменения:
27.02.2008
Всего просмотров:
2030
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
InterActual Player 2.60.12.0201
Уязвимые версии: InterActual Player 2.60.12.0717, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки проверки границ данных в IAMCE (IAMCE.dll) ActiveX компоненте при обработке свойства "FailURL". Удаленный пользователь может с помощью специально сформированной страницы передать уязвимому свойству слишком длинную строку (более 256 байт), вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в IAKey (IAKey.dll) ActiveX компоненте при обработке свойства "URLCode". Удаленный пользователь может с помощью специально сформированной страницы передать уязвимому свойству слишком длинную строку (более 900 байт), вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: player.interactual.com/default.asp?code=AP

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA